summaryrefslogtreecommitdiff
path: root/t/ax
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2013-05-15 22:54:15 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2013-05-15 22:54:15 +0200
commit52a760136d216ab867f02fd295d0b3d77d1ad438 (patch)
tree65d38d685adfd1b58250efae40c877eacb204af3 /t/ax
parent563ecade28bb4ec0f285019959267015af5725b3 (diff)
parente89b9083e11432affd2307a5d51b99bceedebf85 (diff)
downloadautomake-52a760136d216ab867f02fd295d0b3d77d1ad438.tar.gz
Merge branch 'micro' into maint
* micro: post-release: micro version bump (1.13.2a) release: stable micro release 1.13.2 vala tests: skip in a cross compiler setup HACKING: miscellaneous fixes, updates and enhancements NEWS: minor improvements to wording (about new versioning scheme) Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/ax')
-rw-r--r--t/ax/am-test-lib.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/t/ax/am-test-lib.sh b/t/ax/am-test-lib.sh
index 1662d3830..91a18ccc4 100644
--- a/t/ax/am-test-lib.sh
+++ b/t/ax/am-test-lib.sh
@@ -765,6 +765,19 @@ require_tool ()
echo "$me: running bison --version"
bison --version || skip_all_ "required program 'bison' not available"
;;
+ valac)
+ echo "$me: running valac --version"
+ if ! valac --version; then
+ skip_all_ "required program 'valac' not available"
+ elif cross_compiling; then
+ skip_all_ "cross-compiling valac-generated C files is brittle"
+ fi
+ # TODO: We also know we need GNU make, the C compiler, and pkg-config
+ # here, but there is no easy way to express this with the current
+ # code organization. We should improve the situation, sooner or
+ # later. At which point the tests requiring 'valac' can drop the
+ # explicit requirements for those tools.
+ ;;
*)
# Generic case: the tool must support --version.
echo "$me: running $1 --version"